package com.engine.salary.mapper.salarysob;

import com.engine.salary.entity.salarysob.po.SalarySobAdjustRulePO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

public interface SalarySobAdjustRuleMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<SalarySobAdjustRulePO> listAll();
    
    /**
     * 条件查询
     *
     * @return 返回集合，没有返回空List
     */
    List<SalarySobAdjustRulePO> listSome(SalarySobAdjustRulePO salarySobAdjustRule);
    

	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	SalarySobAdjustRulePO getById(Long id);
	
	/**
     * 新增，忽略null字段
     *
     * @param salarySobAdjustRule 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(SalarySobAdjustRulePO salarySobAdjustRule);
	
	/**
     * 修改，修改所有字段
     *
     * @param salarySobAdjustRule 修改的记录
     * @return 返回影响行数
     */
	int update(SalarySobAdjustRulePO salarySobAdjustRule);
	
	/**
     * 修改，忽略null字段
     *
     * @param salarySobAdjustRule 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(SalarySobAdjustRulePO salarySobAdjustRule);
	
	/**
     * 删除记录
     *
     * @param salarySobAdjustRule 待删除的记录
     * @return 返回影响行数
     */
	int delete(SalarySobAdjustRulePO salarySobAdjustRule);


	/**
	 * 批量插入
	 *
	 * @param salaryAdjustmentRules
	 */
	void batchInsert(@Param("collection") Collection<SalarySobAdjustRulePO> salaryAdjustmentRules);

	/**
	 * 根据账套id批量删除
	 *
	 * @param salarySobIds
	 */
	void deleteBySalarySobIds(@Param("salarySobIds") Collection<Long> salarySobIds);

	
}